# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# block_match.h File Reference

`#include <libdirac_motionest/me_utils.h>`
`#include <vector>`

Include dependency graph for block_match.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

- namespace dirac

## Classes

- class dirac::BlockMatcher
    Class to do block matching. More...

## Typedefs

- typedef std::vector
  < std::vector< MVector > > dirac::CandidateList

## Functions

- void dirac::AddNewVlist (CandidateList &vect_list, const MVector &mv, const int xr, const int yr)
    Add a new motion vector list of neighbours of a vector to the set of lists.
- void dirac::AddNewVlist (CandidateList &vect_list, const MVector &mv, const int xr, const int yr, const int step)
    Add a new motion vector list to the set of lists for sub-pixel matching.
- void dirac::AddNewVlistD (CandidateList &vect_list, const MVector &mv, const int xr, const int yr)
    Add a new motion vector list of diagnonal neighbours of a vector to the set of lists.
- void dirac::AddVect (CandidateList &vect_list, const MVector &mv, const int list_num)
    Add a motion vector to the set of motion vector lists.
- ValueType dirac::GetVar (const MVector &mv1, const MVector &mv2)
    Get the (absolute) variation between two motion vectors.
- ValueType dirac::GetVar (const std::vector< MVector > &pred_list, const MVector &mv)
    Get the (absolute) variation between a motion vector and a list of motion vectors.

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.